## org.eclipse.emf.ecore.util
Class FeatureMapUtil.BasicValidator.Cache

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.WeakHashMap<java.lang.Object,java.lang.Object>
              org.eclipse.emf.ecore.util.FeatureMapUtil.BasicValidator.Cache

All Implemented Interfaces:
  java.util.Map<java.lang.Object,java.lang.Object>

Enclosing class:
  FeatureMapUtil.BasicValidator

    protected class FeatureMapUtil.BasicValidator.Cache

extends java.util.WeakHashMap<java.lang.Object,java.lang.Object>

Constructor Summary
`protected` `FeatureMapUtil.BasicValidator.Cache()`

Method Summary
`java.lang.Boolean` `get(EStructuralFeature eStructuralFeature)`
`void` `put(EStructuralFeature eStructuralFeature, java.lang.Boolean isValid)`

Methods inherited from class java.util.WeakHashMap
`clear, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### FeatureMapUtil.BasicValidator.Cache

    protected FeatureMapUtil.BasicValidator.Cache()

Method Detail

### get

    public java.lang.Boolean get(EStructuralFeature eStructuralFeature)

### put

    public void put(EStructuralFeature eStructuralFeature,
                    java.lang.Boolean isValid)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.